
Ceph - Bug #4194

osd, librados: listing objects got premature ENOENT

02/19/2013 02:04 PM - Sage Weil

Status: Can't reproduce % Done: 0%

Priority: High Spent time: 0.00 hour

Assignee:    

Category: OSD   

Target version:    

Source: Q/A Affected Versions:  

Tags:  ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

2013-02-19T09:52:49.372 INFO:teuthology.task.workunit.client.0.out:[ RUN      ] LibRadosList.ListO

bjects

2013-02-19T09:52:52.003 INFO:teuthology.task.thrashosds.thrasher:in_osds:  [3, 4, 2, 1, 5]  out_os

ds:  [0] dead_osds:  [] live_osds:  [0, 3, 2, 4, 5, 1]

2013-02-19T09:52:52.003 INFO:teuthology.task.thrashosds.thrasher:choose_action: min_in 2 min_out 0

 min_live 2 min_dead 0

2013-02-19T09:52:52.003 INFO:teuthology.task.thrashosds.thrasher:Adding osd 0

2013-02-19T09:52:52.004 DEBUG:teuthology.misc:with name basedir: /home/ubuntu/cephtest

2013-02-19T09:52:52.004 DEBUG:teuthology.orchestra.run:Running [10.214.131.9]: 'LD_LIBRARY_PRELOAD

=/home/ubuntu/cephtest/teuthology-2013-02-19_01-00-07-regression-next-testing-basic/binary/usr/loc

al/lib /home/ubuntu/cephtest/teuthology-2013-02-19_01-00-07-regression-next-testing-basic/enable-c

oredump /home/ubuntu/cephtest/teuthology-2013-02-19_01-00-07-regression-next-testing-basic/binary/

usr/local/bin/ceph-coverage /home/ubuntu/cephtest/teuthology-2013-02-19_01-00-07-regression-next-t

esting-basic/archive/coverage /home/ubuntu/cephtest/teuthology-2013-02-19_01-00-07-regression-next

-testing-basic/binary/usr/local/bin/ceph -k /home/ubuntu/cephtest/teuthology-2013-02-19_01-00-07-r

egression-next-testing-basic/ceph.keyring -c /home/ubuntu/cephtest/teuthology-2013-02-19_01-00-07-

regression-next-testing-basic/ceph.conf --concise osd in 0'

2013-02-19T09:52:53.037 INFO:teuthology.task.thrashosds.thrasher:Added osd 0

2013-02-19T09:52:54.253 INFO:teuthology.task.workunit.client.0.out:test/librados/list.cc:23: Failu

re

2013-02-19T09:52:54.272 INFO:teuthology.task.workunit.client.0.out:Value of: rados_objects_list_ne

xt(ctx, &entry, __null)

2013-02-19T09:52:54.272 INFO:teuthology.task.workunit.client.0.out:  Actual: -2

2013-02-19T09:52:54.272 INFO:teuthology.task.workunit.client.0.out:Expected: 0

2013-02-19T09:52:54.272 INFO:teuthology.task.workunit.client.0.out:[  FAILED  ] LibRadosList.ListO

bjects (4881 ms)

from

ubuntu@teuthology:/a/teuthology-2013-02-19_01:00:07-regression-next-testing-basic$ cat 6031/orig.c

onfig.yaml 

kernel:

  kdb: true

  sha1: 03ae55a7cddd4bac299c0aee068befaf81b2e7f0

nuke-on-error: true

overrides:

  ceph:

    conf:

      global:
        ms inject delay max: 1

        ms inject delay probability: 0.005

        ms inject delay type: osd

        ms inject socket failures: 2500

      osd:

        osd op thread timeout: 60

    fs: btrfs

    log-whitelist:

    - slow request

    sha1: 45a4fe09151bcdeaaa2c3b5dbd089a91deaa055f

  s3tests:

    branch: next

  workunit:

    sha1: 45a4fe09151bcdeaaa2c3b5dbd089a91deaa055f

roles:

- - mon.a

  - mon.c

  - osd.0

  - osd.1

  - osd.2

- - mon.b

  - mds.a

  - osd.3

  - osd.4

  - osd.5

  - client.0

tasks:

- chef: null

- clock: null

- ceph:

    log-whitelist:

    - wrongly marked me down

    - objects unfound and apparently lost

- thrashosds:

    timeout: 1200

- ceph-fuse: null

- workunit:

    clients:

      client.0:

      - rados/test.sh

History

#1 - 04/24/2013 09:23 AM - Sage Weil

- Status changed from 12 to Can't reproduce
